Ruby: win32/file.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Enumerations | Functions
file.h File Reference

Go to the source code of this file.

## Data Structures
struct | rb_w32_reparse_buffer_t

## Macros
#define | MAX_REPARSE_PATH_LEN 4092
#define | rb_w32_reparse_buffer_size(n)
#define | HAVE_FCHMOD 0

## Enumerations
enum | { MINIMUM_REPARSE_BUFFER_PATH_LEN = 4 }

## Functions
int | rb_w32_read_reparse_point (const WCHAR *path, rb_w32_reparse_buffer_t *rp, size_t bufsize, WCHAR **result, DWORD *len)
int | lchown (const char *path, int owner, int group)
int | rb_w32_ulchown (const char *path, int owner, int group)
int | fchmod (int fd, int mode)
UINT | rb_w32_filecp (void)
WCHAR * | rb_w32_home_dir (void)

## Macro Definition Documentation

## ◆ HAVE_FCHMOD

#define HAVE_FCHMOD 0

Definition at line 43 of file file.h.

## ◆ MAX_REPARSE_PATH_LEN

#define MAX_REPARSE_PATH_LEN 4092

Definition at line 4 of file file.h.

## ◆ rb_w32_reparse_buffer_size

#define rb_w32_reparse_buffer_size | ( |  | n | ) |

Value:
(sizeof(rb_w32_reparse_buffer_t) + \
sizeof(WCHAR)*((n)-MINIMUM_REPARSE_BUFFER_PATH_LEN))
rb_w32_reparse_buffer_t
Definition: file.h:10
MINIMUM_REPARSE_BUFFER_PATH_LEN
@ MINIMUM_REPARSE_BUFFER_PATH_LEN
Definition: file.h:7

Definition at line 33 of file file.h.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
MINIMUM_REPARSE_BUFFER_PATH_LEN |

Definition at line 6 of file file.h.

## Function Documentation

## ◆ fchmod()

int fchmod | ( | int | fd,
|  | int | mode
| ) |  |

Definition at line 7713 of file win32.c.

References if(), int(), INVALID_HANDLE_VALUE, map_errno, and NULL.

## ◆ lchown()

int lchown | ( | const char * | path,
|  | int | owner,
|  | int | group
| ) |  |

Definition at line 4832 of file win32.c.

## ◆ rb_w32_filecp()

UINT rb_w32_filecp | ( | void |  | ) |

Referenced by rb_default_home_dir().

## ◆ rb_w32_home_dir()

WCHAR * rb_w32_home_dir | ( | void |  | ) |

Definition at line 547 of file win32.c.

References ALLOC_N, CSIDL_PROFILE, L, len, NULL, REALLOC_N, and xfree.

Referenced by rb_default_home_dir(), and rb_file_expand_path_internal().

## ◆ rb_w32_read_reparse_point()

int rb_w32_read_reparse_point | ( | const WCHAR * | path,
|  | rb_w32_reparse_buffer_t * | rp,
|  | size_t | bufsize,
|  | WCHAR ** | result,
|  | DWORD * | len
| ) |  |

Definition at line 5068 of file win32.c.

References IO_REPARSE_TAG_SYMLINK, L, len, memcmp(), name, rb_strlen_lit, and rp.

Referenced by rb_readlink(), and rb_w32_reparse_symlink_p().

## ◆ rb_w32_ulchown()

int rb_w32_ulchown | ( | const char * | path,
|  | int | owner,
|  | int | group
| ) |  |

Definition at line 4838 of file win32.c.